Skip to main content
`Ctrl`+`K`

# KSPPIPEGCRGetMmax

get the maximum number of previous directions `KSPPIPEGCR` will store

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRGetMmax(KSP ksp, PetscInt *mmax)

Not Collective

## Input Parameter

- ksp - the Krylov space context

## Output Parameter

- mmax - the maximum number of previous directions allowed for orthogonalization

## See Also

KSP: Linear System Solvers, `KSPPIPEGCR`, `KSPPIPEGCRGetTruncationType()`, `KSPPIPEGCRGetNprealloc()`, `KSPPIPEGCRSetMmax()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages